.component-video__media {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 1;
}

.component-video__play-btn {
  position: absolute;
  right: 2rem;
  bottom: 2rem;
  z-index: 2;
  --size: 3.6rem;
  @media (min-width: 1025px) {
    right: 3rem;
    bottom: 3rem;
  }

}

.component-video {
  .icon-play {
    display: block;
  }
  .icon-pause {
    display: none;
  }
  &.is-playing {
    .icon-play {
      display: none;
    }
    .icon-pause {
      display: block;
    }
  }
}